﻿// <auto-generated />
using System;
using Docusign.Model.Persistence;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Docusign.Model.Migrations
{
    [DbContext(typeof(DocusignDbContext))]
    partial class DocusignDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.4-rtm-31024")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Docusign.Model.Models.EnveloperDocusign", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<long>("UserId")
                        .HasColumnName("id_user");

                    b.Property<byte[]>("Xml")
                        .HasColumnName("xml_byte");

                    b.HasKey("Id");

                    b.ToTable("Enveloper");
                });

            modelBuilder.Entity("Docusign.Model.Models.Log", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("Date");

                    b.Property<long?>("IdUser")
                        .HasColumnName("id_user");

                    b.Property<string>("Message");

                    b.Property<string>("Url");

                    b.HasKey("Id");

                    b.ToTable("logs");
                });

            modelBuilder.Entity("Docusign.Model.Models.TokenModel", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("access_token")
                        .HasColumnName("access_token");

                    b.Property<int>("expires_in")
                        .HasColumnName("expires_in");

                    b.Property<string>("refresh_token")
                        .HasColumnName("refresh_token");

                    b.Property<string>("token_type")
                        .HasColumnName("token_type");

                    b.HasKey("Id");

                    b.ToTable("token");
                });

            modelBuilder.Entity("Docusign.Model.Models.UserDocusign", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Email")
                        .HasColumnName("email");

                    b.Property<string>("Password")
                        .HasColumnName("password");

                    b.Property<long?>("TokenId");

                    b.HasKey("Id");

                    b.HasIndex("TokenId");

                    b.ToTable("user");
                });

            modelBuilder.Entity("Docusign.Model.Models.UserDocusign", b =>
                {
                    b.HasOne("Docusign.Model.Models.TokenModel", "Token")
                        .WithMany()
                        .HasForeignKey("TokenId");
                });
#pragma warning restore 612, 618
        }
    }
}
